import { SocketService } from './services/socket.service';
import { Component } from '@angular/core';
import Quill from 'quill';

const parchment = Quill.import('parchment')
const block = parchment.query('block')
block.tagName = 'DIV'

Quill.register(block, true)

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
})
export class AppComponent {
  title = 'Sistema de Mantenimiento';

  constructor(protected socketService: SocketService){
    this.socketService.connect();
  }
}
